UnixSocketChannel (jnr-unixsocket 0.2 API)
Date: 2014-06-30

jnr.unixsocket

## Class UnixSocketChannel

- java.lang.Object
- - java.nio.channels.spi.AbstractInterruptibleChannel
  - - java.nio.channels.SelectableChannel
    - - java.nio.channels.spi.AbstractSelectableChannel
      - - jnr.enxio.channels.NativeSocketChannel
        - - jnr.unixsocket.UnixSocketChannel

- All Implemented Interfaces:
    Closeable, AutoCloseable, ByteChannel, Channel, InterruptibleChannel, ReadableByteChannel, WritableByteChannel, jnr.enxio.channels.NativeSelectableChannel

      public class UnixSocketChannel
      extends jnr.enxio.channels.NativeSocketChannel

  A `Channel` implementation that uses a native unix socket

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connect(UnixSocketAddress remote)`
    `boolean` | `finishConnect()`
    `UnixSocketAddress` | `getLocalSocketAddress()`
    `UnixSocketAddress` | `getRemoteSocketAddress()`
    `boolean` | `isConnected()`
    `boolean` | `isConnectionPending()`
    `static UnixSocketChannel` | `open()`
    `static UnixSocketChannel` | `open(UnixSocketAddress remote)`
    `static UnixSocketChannel[]` | `pair()`

    - ### Methods inherited from class jnr.enxio.channels.NativeSocketChannel

      `getFD, implCloseSelectableChannel, implConfigureBlocking, read, shutdownInput, shutdownOutput, validOps, write`

    - ### Methods inherited from class java.nio.channels.spi.AbstractSelectableChannel

      `blockingLock, configureBlocking, implCloseChannel, isBlocking, isRegistered, keyFor, provider, register`

    - ### Methods inherited from class java.nio.channels.SelectableChannel

      `register`

    - ### Methods inherited from class java.nio.channels.spi.AbstractInterruptibleChannel

      `begin, close, end, isOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.nio.channels.Channel

      `close, isOpen`

- - ### Method Detail

    - #### open

          public static final UnixSocketChannel open()
                                              throws IOException

      Throws:
        `IOException`

    - #### open

          public static final UnixSocketChannel open(UnixSocketAddress remote)
                                              throws IOException

      Throws:
        `IOException`

    - #### pair

          public static final UnixSocketChannel[] pair()
                                                throws IOException

      Throws:
        `IOException`

    - #### connect

          public boolean connect(UnixSocketAddress remote)
                          throws IOException

      Throws:
        `IOException`

    - #### isConnected

          public boolean isConnected()

    - #### isConnectionPending

          public boolean isConnectionPending()

    - #### finishConnect

          public boolean finishConnect()
                                throws IOException

      Throws:
        `IOException`

    - #### getRemoteSocketAddress

          public final UnixSocketAddress getRemoteSocketAddress()

    - #### getLocalSocketAddress

          public final UnixSocketAddress getLocalSocketAddress()

Copyright © 2014. All rights reserved.